Skip to main content
`Ctrl`+`K`

# MatMumpsGetInverse

Get user-specified set of entries in inverse of `A` https://mumps-solver.org/index.php?page=doc

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetInverse(Mat F, Mat spRHS)

Logically Collective

## Input Parameter

- F - the factored matrix obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

## Output Parameter

- spRHS - sequential sparse matrix in `MATTRANSPOSEVIRTUAL` format with requested entries of inverse of `A`

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatCreateTranspose()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Implementations

MatMumpsGetInverse_MUMPS() in src/mat/impls/aij/mpi/mumps/mumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages